# Messaging_SyncScope.pidl File Reference

This graph shows which files directly or indirectly include this file:

## Namespaces

namespace | Messaging

## Typedefs

typedef short | SyncScope

## Variables

const SyncScope | SYNC_NONE = 0
const SyncScope | SYNC_WITH_TRANSPORT = 1
const SyncScope | SYNC_WITH_SERVER = 2
const SyncScope | SYNC_WITH_TARGET = 3

## Detailed Description

Id
  Messaging_SyncScope.pidl,v 1.8 2005/04/08 08:33:25 jwillemsen Exp

This file was used to generate the code in Messaging_SyncScopeC.{h,inl,cpp}

The command used to generate code from this file is:

tao_idl.exe -o orig -St -Sc -Sci -Wb,export_macro=TAO_Export -Wb,export_include=tao/TAO_Export.h -Wb,pre_include="ace/pre.h" -Wb,post_include="ace/post.h" Messaging_SyncScope.pidl

## Typedef Documentation

typedef CORBA::Short Messaging::SyncScope

## Variable Documentation

const Messaging::SyncScope Messaging::SYNC_NONE = 0

const Messaging::SyncScope Messaging::SYNC_WITH_SERVER = 2

const Messaging::SyncScope Messaging::SYNC_WITH_TARGET = 3

const Messaging::SyncScope Messaging::SYNC_WITH_TRANSPORT = 1